summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChuck Brewer <killian@gentoo.org>2003-04-24 06:59:14 +0000
committerChuck Brewer <killian@gentoo.org>2003-04-24 06:59:14 +0000
commit297c31d12c4e7db5cbcebddd8fa0d370af8dbad0 (patch)
tree456cab20bedaa6d90a2b2ba83eda24cf94f42c39 /net-dialup/ppp
parentnew package - POSIX compliant version of the espresso logic minimization tool (diff)
downloadgentoo-2-297c31d12c4e7db5cbcebddd8fa0d370af8dbad0.tar.gz
gentoo-2-297c31d12c4e7db5cbcebddd8fa0d370af8dbad0.tar.bz2
gentoo-2-297c31d12c4e7db5cbcebddd8fa0d370af8dbad0.zip
revamped ppp scripts
Diffstat (limited to 'net-dialup/ppp')
-rw-r--r--net-dialup/ppp/files/ip-down (renamed from net-dialup/ppp/files/ip-up)2
-rw-r--r--net-dialup/ppp/files/plog7
-rw-r--r--net-dialup/ppp/files/poff100
-rwxr-xr-xnet-dialup/ppp/files/pon2
-rw-r--r--net-dialup/ppp/files/pon.1179
-rw-r--r--net-dialup/ppp/files/ppp-crypto-fix.patch.bz2bin0 -> 35770 bytes
6 files changed, 8 insertions, 282 deletions
diff --git a/net-dialup/ppp/files/ip-up b/net-dialup/ppp/files/ip-down
index 8f950b4b8238..4ac64e483133 100644
--- a/net-dialup/ppp/files/ip-up
+++ b/net-dialup/ppp/files/ip-down
@@ -1,6 +1,6 @@
#!/bin/sh
-# this is a script which is executed after connecting the ppp interface.
+# this is a script which is executed after disconnecting the ppp interface.
# look at man pppd for details
# the followings parameters are available:
diff --git a/net-dialup/ppp/files/plog b/net-dialup/ppp/files/plog
new file mode 100644
index 000000000000..84d2c7340cc6
--- /dev/null
+++ b/net-dialup/ppp/files/plog
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+if [ -s /var/log/ppp.log ]; then
+ exec tail "$@" /var/log/ppp.log
+else
+ exec tail "$@" /var/log/syslog | grep ' \(pppd\|chat\)\['
+fi
diff --git a/net-dialup/ppp/files/poff b/net-dialup/ppp/files/poff
deleted file mode 100644
index 070a41f4c181..000000000000
--- a/net-dialup/ppp/files/poff
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/bin/sh
-
-# $Id: poff,v 1.1 2001/07/15 02:33:15 lamer Exp $
-# Written by John Hasler <john@dhh.gt.org> and based on work
-# by Phil Hands <phil@hands.com>. Distributed under the GNU GPL
-
-KILL="/bin/kill"
-SIG=TERM
-DONE="stopped"
-MODE=""
-
-usage ()
-{
- cat <<!EOF!
-usage: $0 [option] [provider]
-options:
- -r Cause pppd to drop the line and redial.
- -d Toggle the state of pppd's debug option.
- -c Cause pppd to renegotiate compression.
- -a Stop all pppd's. 'provider' will be ignored.
- -h Print this help summary and exit.
- -v Print version and exit.
- none Stop pppd.
-
-Options may not be combined.
-
-If 'provider' is omitted pppd will be stopped or signalled if and only if
-there is exactly one running unless the '-a' option was given. If
-'provider' is supplied the pppd controlling the connection to that
-provider will be stopped or signalled.
-!EOF!
-}
-
-# Get option. If there are none replace the "?" that getopts puts in
-# FLAG on error with "null".
-getopts rdcavh FLAG
-if [ "$?" -ne 0 ]; then
- FLAG="null"
-fi
-
-# Check for additional options. Should be none.
-getopts :rdcavh DUMMY
-if [ "$?" -eq 0 ]; then
- echo "$0: Illegal option -- ${OPTARG}."
- exit 1
-fi
-
-case $FLAG in
- "r") SIG=HUP; DONE=signalled; shift ;;
- "d") SIG=USR1; DONE=signalled; shift ;;
- "c") SIG=USR2; DONE=signalled; shift ;;
- "a") MODE="all"; shift ;;
- "v") echo "$0$Revision: 1.1 $_TrickToPrint_RCS_Revision"; exit 0 ;;
- "h") usage; exit 0 ;;
- "?") exit 1;
-esac
-
-# Get the PIDs of all the pppds running. Could also get these from
-# /var/run, but pppd doesn't create .pid files until ppp is up.
-PIDS=`pidof pppd`
-
-# poff is pointless if pppd isn't running.
-if test -z "$PIDS"; then
- echo "$0: No pppd is running. None ${DONE}."
- exit 1
-fi
-
-# Find out how many pppd's are running.
-N=`echo "$PIDS" | wc -w`
-
-# If there are no arguments we can't do anything if there is more than one
-# pppd running.
-if test "$#" -eq 0 -a "$N" -gt 1 -a $FLAG != "a" ; then
- echo "$0: More than one pppd running and no "-a" option and
-no arguments supplied. Nothing ${DONE}."
- exit 1
-fi
-
-# If either there are no arguments or '-a' was specified kill all the
-# pppd's.
-if test "$#" -eq 0 -o "$MODE" = "all" ; then
- $KILL -$SIG $PIDS || {
- echo "$0: $KILL failed. None ${DONE}."
- exit 1
- }
- exit 0
-fi
-
-# There is an argument, so kill the pppd started on that provider.
-PID=`ps axw | grep "[ /]pppd call $1 *\$" | awk '{print $1}'`
-if test -n "$PID" ; then
- $KILL -$SIG $PID || {
- echo "$0: $KILL failed. None ${DONE}."
- exit 1
- }
-else
- echo "$0: I could not find a pppd process for provider '$1'. None ${DONE}."
- exit 1
-fi
-exit 0
diff --git a/net-dialup/ppp/files/pon b/net-dialup/ppp/files/pon
deleted file mode 100755
index e1ea50a59a93..000000000000
--- a/net-dialup/ppp/files/pon
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-exec /usr/sbin/pppd call ${1:-provider}
diff --git a/net-dialup/ppp/files/pon.1 b/net-dialup/ppp/files/pon.1
deleted file mode 100644
index 8e2c2b50f94c..000000000000
--- a/net-dialup/ppp/files/pon.1
+++ /dev/null
@@ -1,179 +0,0 @@
-.\" This manual is published under the GPL.
-.\" All guidelines specified in the GPL apply here.
-.\" To get an ascii file:
-.\" groff -man -Tascii pon.1 > pon.txt
-.\"
-.TH PON 1 "February 2000" "Debian Project" "Debian PPPD"
-.SH NAME
-pon, poff, plog \- starts up, shuts down or lists the log of PPP connections
-.SH SYNOPSIS
-.B pon
-.RB [ " isp-name " ]
-.br
-.B poff
-.RB [ " \-r " ]
-.RB [ " \-d " ]
-.RB [ " \-c " ]
-.RB [ " \-a " ]
-.RB [ " \-h " ]
-.B isp-name
-.br
-.B plog
-.RB [ " argument " ]
-.SH DESCRIPTION
-This manual page describes the \fBpon\fP, \fBpoff\fP and \fBplog\fP
-scripts, which allow users to control PPP connections.
-.PP
-.B pon
-starts a PPP connection to a provider, reading its configuration from
-.I /etc/ppp/peers/provider
-and using the chatscript
-.IR /etc/chatscripts/provider .
-This is the default setting if
-.B isp-name
-is not given.
-.PP
-To start a PPP connection to a different provider, specify an
-.B isp-name
-operand. For instance, to use provider configuration "provider2" run
-.IP
-pon provider2
-.PP
-The system will then use the chatscript
-.I /etc/chatscripts/provider2
-and the options file
-.IR "/etc/ppp/peers/provider2".
-You can use
-.B pon
-to run multiple, simultaneous PPP connections.
-.PP
-.B poff
-closes a PPP connection. If more than one PPP connection exists, the one named
-in the argument to
-.B poff
-will be killed, e.g.
-.IP
-poff myprovider2
-.PP
-will terminate the connection to myprovider2, and leave the PPP connection
-to "myprovider1" up and running.
-.PP
-.B plog
-shows you the last few lines of
-.IR /var/log/ppp.log .
-If that file doesn't exist, it shows you the last few lines of
-.IR /var/log/syslog
-file, but excluding the lines not generated by pppd.
-This script makes use of the
-.BR tail (1)
-command, so arguments that can be passed to
-.BR tail (1)
-can also be passed to
-.B plog.
-.SH OPTIONS
-.SS Options for pon
-.TP
-.B isp-name
-is the name of the ISP connection to start. If no
-.B isp-name
-is specified,
-.B pon
-will use the name "provider".
-.SS Options for poff
-.TP
-.B "\-r"
-causes the connection to be redialed after it is dropped.
-.TP
-.B "\-d"
-toggles the state of pppd's debug option.
-.TP
-.B "\-c"
-causes
-.BR pppd (8)
-to renegotiate compression.
-.TP
-.B "\-a"
-stops all running ppp connections. If the argument
-.B isp-name
-is given it will be ignored.
-.TP
-.B "\-h"
-displays help information.
-.TP
-.B "\-v"
-prints the version and exits.
-.PP
-If no argument is given it will kill all ppp connections. Like the
-.B "\-a"
-option.
-.SS Options for plog
-.TP
-.B argument
-is any argument you can also pass to
-.BR tail (1).
-.SH REQUIREMENTS
-.BR pppd (8)
-must be installed and configured.
-.PP
-.I /etc/chatscripts/provider
-is the default chatscript, used when
-.B pon
-is invoked without an argument. Edit it to suit your needs. See
-.BR chat (8).
-.PP
-.I /etc/ppp/peers/provider
-is the default options file, used when
-.B pon
-is invoked without an argument. Edit it to suit your needs. See
-.BR pppd (8).
-.PP
-When
-.B pon
-is invoked with an
-.B isp-name
-argument, different filenames are used. For example, if
-.B isp-name
-"myprovider" is specified, chatscript
-.I /etc/chatscripts/myprovider
-and options file
-.IR /etc/ppp/peers/myprovider
-are used.
-.SH NOTE
-The
-.B plog
-script can only be used by root or another system administrator in
-group "adm" due to security reasons. Also, to have all pppd-generated
-information in one logfile, that plog can show, you need the following
-line in your /etc/syslog.conf file:
-.PP
-local2.* -/var/log/ppp.log
-.SH FILES
-.TP
-.I /etc/chatscripts/provider
-The default chat script.
-.TP
-.I /etc/ppp/peers/provider
-The default peer option file.
-.TP
-.I /etc/ppp/chap-secrets
-System CHAP passwords file.
-.TP
-.I /etc/ppp/pap-secrets
-System PAP passwords file.
-.TP
-.I /etc/ppp/options
-System PPP option file.
-.TP
-.I /var/log/ppp.log
-The default PPP log file.
-.SH AUTHORS
-The p-commands were written by Christoph Lameter <clameter@debian.org>.
-Updated and revised by Philip Hands <phil@hands.com>.
-.br
-This manual was written by Othmar Pasteka <othmar@tron.at> and modified
-by Rob Levin <lilo@openprojects.net>, with some extensions taken from the
-old p-commands manual written by John Hasler <jhasler@debian.org>.
-.SH "SEE ALSO"
-.BR chat (8),
-.BR pppd (8),
-.BR tail (1).
diff --git a/net-dialup/ppp/files/ppp-crypto-fix.patch.bz2 b/net-dialup/ppp/files/ppp-crypto-fix.patch.bz2
new file mode 100644
index 000000000000..34916e0dbd74
--- /dev/null
+++ b/net-dialup/ppp/files/ppp-crypto-fix.patch.bz2
Binary files differ